package cn.com.ctop.kuaishou.modules.report.service;

import cn.com.ctop.kuaishou.modules.report.entity.EtlKuaishouAccountMaterialReportDaily;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @Description: 快手账户素材报表清洗表
 * @Author: jeecg-boot
 * @Date:   2021-02-25
 * @Version: V1.0
 */
public interface IEtlKuaishouAccountMaterialReportDailyService extends IService<EtlKuaishouAccountMaterialReportDaily> {

    void etlKuaishouAccountMaterialReportInfo(String formatDate);

    void etlKuaishouReportCompanyInfo();

    void etlKuaishouVideoReportStateDate();

    void etlKuaishouVideoType();

    void cleanVideoInfo(Long accountId,String statDate);


    List<String> getDateList();

    List<Long> getAccountListByDate(String date);
}
